RBD-NBD(8)

NAME
rbd-nbd - map rbd images to nbd device

SYNOPSIS
rbd-nbd [-c conf] [--read-only] [--device nbd device] [--nbds_max limit] [--max_part limit] [--exclusive] [--timeout seconds] map image-spec | snap-spec
rbd-nbd unmap nbd device
rbd-nbd list-mapped

DESCRIPTION

rbd-nbd is a client for RADOS block device (rbd) images like rbd kernel module. It will map a rbd image to a nbd (Network Block Device) device, allowing access it as regular local block device.

OPTIONS

-c ceph.conf
    Use ceph.conf configuration file instead of the default /etc/ceph/ceph.conf to determine monitor addresses during startup.

--read-only
    Map read-only.

--nbds_max *limit*
    Override the parameter of NBD kernel module when modprobe, used to limit the count of nbd device.

--max_part *limit*
    Override for module param nbds_max.

--exclusive
    Forbid writes by other clients.

--timeout *seconds*
    Override device timeout. Linux kernel will default to a 30 second request timeout. Allow the user to optionally specify an alternate timeout.

IMAGE AND SNAP SPECS
image-spec is [pool-name]/image-name
snap-spec  is [pool-name]/image-name@snap-name

The default for pool-name is "rbd". If an image name contains a slash character ('/'), pool-name is required.

AVAILABILITY

rbd-nbd is part of Ceph, a massively scalable, open-source, distributed storage system. Please refer to the Ceph documentation at http://ceph.com/docs for more information.

SEE ALSO

rbd(8)

COPYRIGHT
2010-2014, Inktank Storage, Inc. and contributors. Licensed under Creative Commons Attribution Share Alike 3.0 (CC-BY-SA-3.0)